- name: Install packages
  package:
    name:
      - zsh
      - sqlite
      - git
      - python-jmespath # Needed on machine running ansible for json_query
    state: present

- include_tasks:
    file: tasks/peruser.yaml
    apply:
      become: yes
      become_user: "{{ initialize_user }}"
  loop: "{{ users | dict2items | community.general.json_query('[?value.initialize==`true`].key') }}"
  loop_control:
    loop_var: initialize_user
